Package org.apache.el.util

## Class MessageFactory

- java.lang.Object
- - org.apache.el.util.MessageFactory

    public final class MessageFactory
    extends java.lang.Object

Author:
  Jacob Hookom [jacob@hookom.net]

### Constructor Summary

Constructors
`MessageFactory​(java.util.ResourceBundle bundle)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.String` `get​(java.lang.String key)`
`static java.lang.String` `get​(java.lang.String key, java.lang.Object... args)`
`protected java.lang.String` `getInternal​(java.lang.String key)`
`protected java.lang.String` `getInternal​(java.lang.String key, java.lang.Object... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageFactory

    public MessageFactory​(java.util.ResourceBundle bundle)

### Method Detail

#### get

    public static java.lang.String get​(java.lang.String key)

#### get

    public static java.lang.String get​(java.lang.String key,
                                       java.lang.Object... args)

#### getInternal

    protected java.lang.String getInternal​(java.lang.String key)

#### getInternal

    protected java.lang.String getInternal​(java.lang.String key,
                                           java.lang.Object... args)